## GtkVRuler GtkVRuler — A vertical ruler |

## Functions

GtkWidget * | gtk_vruler_new ()

## Types and Values

struct | GtkVRuler

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkRuler
                        ╰── GtkVRuler

## Implemented Interfaces

GtkVRuler implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

This widget is considered too specialized/little-used for GTK+, and will be removed in GTK 3. If your application needs this widget, feel free to use it, as the widget is useful in some applications; it's just not of general interest. However, we are not accepting new features for the widget, and it will move out of the GTK+ distribution.

The VRuler widget is a widget arranged vertically creating a ruler that is utilized around other widgets such as a text widget. The ruler is used to show the location of the mouse on the window and to show the size of the window in specified units. The available units of measurement are GTK_PIXELS, GTK_INCHES and GTK_CENTIMETERS. GTK_PIXELS is the default unit of measurement.

## Functions

### gtk_vruler_new ()

    GtkWidget *
    gtk_vruler_new (void);

`gtk_vruler_new` is deprecated and should not be used in newly-written code.

Creates a new vertical ruler

#### Returns

a new GtkVRuler.

`Deprecated` : 2.24: GtkRuler has been removed from GTK 3 for being unmaintained and too specialized. There is no replacement.

## Types and Values

### struct GtkVRuler

    struct GtkVRuler;

`GtkVRuler` is deprecated and should not be used in newly-written code.